Transfer page status information from page content to metadata
Closed, ResolvedPublic

Description

Due to some changes in ProofreadPage design in 2017 that moved page status information in the Page namespace from page header (page_text database table) to metadata (page_property database table) an edit is reqiered (that may be a null edit) for all pages in the Page namespace that were not edited since the change was implemented to make the status information transfer effective.

Until this is done for all pages, workarounds supporting the old design are necessary making and the extension is more susceptible for development problems and mistakes, like one reported previously in T198470.

As pages having status Validated or Without text are not intended to be edited in any time future in standard proofreading process, a null edit by a bot is suggested for them (null-edits of such pages are actually real edits due to the database structure change, so the bot flag is required to avoid flooding RecentChanges).

Number of all pages per wikisource domain that require this change is here: https://quarry.wmflabs.org/query/27928
Number of Validated +Without text pages that require this change is here: https://quarry.wmflabs.org/query/27970

Per Wikisource status of this process:

  • ar - given the rights
  • as
  • be - given the rights
  • bg - given the rights (for 2 weeks}
  • bn - given the rights
  • br - given the rights
  • ca
  • cs
  • cy - given the rights (for 2 weeks}
  • da - given the rights (for 2 weeks}
  • de
  • el
  • en - given the rights
  • eo
  • es - given the rights (for 1 year)
  • et - given the rights (for 2 weeks)
  • eu
  • fa
  • fi - given the rights
  • fr - given the rights
  • gl - given the rights
  • gu - given the rights
  • he - given the rights
  • hr - given the rights
  • hu - given the rights
  • hy - given the rights
  • id - given the rights
  • is - given the rights (for 2 weeks}
  • it - given the rights
  • ja - given the rights
  • kn - given the rights
  • ko
  • la - given the rights (for 1 month)
  • ml - given the rights
  • mr - given the rights (for 2 weeks}
  • mul
  • nl - given the rights
  • no - given the rights
  • or - given the rights (for 2 weeks}
  • pa - given the rights (for 2 weeks}
  • pl
  • pt - given the rights
  • ro - given the rights (for 2 weeks}
  • ru
  • sa - given the rights (for 2 weeks}
  • sl - given the rights
  • sr - given the rights
  • sv
  • ta - given the rights
  • te - given the rights
  • uk - given the rights
  • vec
  • vi
  • zh - given the rights

Check: https://meta.wikimedia.org/w/index.php?title=Special%3ACentralAuth&target=Wikisource-bot

Nil or minimal pages in Index/Page nss, no requirement to act

  • bs
  • fo
  • li
  • mk
  • pms
  • sah
  • sk
  • th
  • tr
  • yi
  • zh-min-nan
Ankry created this task.Jul 21 2018, 6:06 AM
Ankry updated the task description. (Show Details)Jul 21 2018, 6:16 AM
Ankry updated the task description. (Show Details)Jul 27 2018, 5:09 AM
Ankry updated the task description. (Show Details)Jul 28 2018, 8:05 AM
Ankry updated the task description. (Show Details)Jul 30 2018, 4:42 PM
Mahir256 updated the task description. (Show Details)Aug 2 2018, 9:21 PM
Ankry updated the task description. (Show Details)Aug 7 2018, 9:39 PM
Ankry updated the task description. (Show Details)Aug 8 2018, 4:44 AM
Ankry updated the task description. (Show Details)Aug 8 2018, 7:34 AM
Ankry added a comment.Aug 8 2018, 5:52 PM

no.ws "Not proofread" failed because of T201506.
I am trying to omit the broken page.

Ankry updated the task description. (Show Details)Aug 8 2018, 7:12 PM
Ankry updated the task description. (Show Details)Aug 9 2018, 4:07 AM
Ankry updated the task description. (Show Details)Aug 9 2018, 10:01 AM
Ankry updated the task description. (Show Details)Aug 9 2018, 3:31 PM
Vladis13 removed a subscriber: Vladis13.Aug 9 2018, 5:43 PM
Ankry updated the task description. (Show Details)Aug 9 2018, 8:33 PM
Ankry updated the task description. (Show Details)Aug 9 2018, 9:18 PM
Ankry updated the task description. (Show Details)Aug 10 2018, 2:01 AM
Ankry updated the task description. (Show Details)Aug 10 2018, 5:56 AM
Ankry updated the task description. (Show Details)Aug 10 2018, 12:45 PM
Ankry updated the task description. (Show Details)Aug 10 2018, 5:43 PM
Ankry updated the task description. (Show Details)Aug 10 2018, 7:12 PM
Ankry updated the task description. (Show Details)Aug 11 2018, 12:37 AM
Ankry updated the task description. (Show Details)Aug 15 2018, 7:07 AM
Ankry updated the task description. (Show Details)Aug 16 2018, 6:52 AM
Ankry updated the task description. (Show Details)Aug 16 2018, 2:32 PM
Ankry updated the task description. (Show Details)Aug 16 2018, 10:23 PM
Ankry updated the task description. (Show Details)Aug 17 2018, 6:55 PM
Ankry updated the task description. (Show Details)Aug 27 2018, 12:38 AM
Ankry closed this task as Resolved.Sep 2 2018, 6:32 PM
Ankry triaged this task as Low priority.
Ankry claimed this task.
Ankry updated the task description. (Show Details)